# DMMGInitialGuessCurrent

Use with DMMGSetInitialGuess() to use the current value in the solution vector (obtainable with DMMGGetx()) as the initial guess. Otherwise for linear problems zero is used for the initial guess (unless grid sequencing is used). For nonlinear problems this is not needed; it always uses the previous solution as the initial guess.

### Synopsis

    #include "petscda.h"
    #include "petscksp.h"
    #include "petscmg.h"
    #include "petscdmmg.h"
    #include "petscpc.h"
    PetscErrorCode PETSCSNES_DLLEXPORT DMMGInitialGuessCurrent(DMMG dmmg,Vec vec)

Collective on DMMG

### Input Parameter

| dmmg | - the context
| vec | - dummy argument

### See Also

DMMGCreate(), DMMGDestroy, DMMGSetKSP(), DMMGSetSNES(), DMMGSetInitialGuess()

Level:intermediate
Location: src/snes/utils/damg.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages